@tailwind base;

:root, body {
  min-height: 100vh;
}

svg { @apply fill-current; }

.link {
  @apply text-teal-700 underline;
  &:hover { @apply text-teal-800; }
  @screen dark {
    @apply text-teal-300;
    &:hover { @apply text-teal-500 }
  }
}

.btn {
  @apply py-2 px-4 rounded inline-flex content-center select-none;
  &:focus { @apply outline-none shadow-outline; }
  &[disabled] {
    @apply opacity-50 cursor-not-allowed pointer-events-none;
  }
}
.btn-outlined {
  @apply bg-white border;
  border-color: #dbdbdb;
  &:hover { border-color: #b5b5b5; }
  @screen dark {
    @apply bg-gray-900 border-gray-600;
    &:hover { @apply border-gray-700 }
  }
}
.btn-blue {
  @apply bg-blue-500 text-white;
  &:hover { @apply bg-blue-700; }
}
.btn-red {
  @apply bg-red-500 text-white;
  &:hover { @apply bg-red-700; }
}

.icon {
  @apply s-6 inline-block;
}

.input {
  @apply appearance-none border rounded w-full py-2 px-3 bg-white text-gray-700 leading-tight;
  &:focus { @apply outline-none shadow-outline; }
  @screen dark {
    @apply bg-gray-900 text-gray-300 border-gray-700;
  }
}
.input-form { @apply shadow; }

.label {
  @apply block text-gray-700 text-sm font-bold mb-2;
  @screen dark {
    @apply text-gray-300;
  }
}

.modal {
  @apply fixed inset-0 z-30 bg-smoke;
  opacity: 1 !important;
}

.modal-menu-btn {
  @apply flex justify-center p-3 border-b border-gray-400;
  &:focus { @apply outline-none bg-gray-300; }
  &:hover { @apply bg-gray-200; }
  &:last-of-type { @apply border-0; }
  @screen dark {
    @apply border-gray-700;
    &:focus { @apply bg-gray-800; }
    &:hover { @apply bg-gray-800; }
  }
}

@tailwind components;

@tailwind utilities;

.s-0 { width: 0; height: 0; }
.s-1 { width: .25rem; height: .25rem; }
.s-2 { width: .5rem; height: .5rem; }
.s-3 { width: .75rem; height: .75rem; }
.s-4 { width: 1rem; height: 1rem; }
.s-5 { width: 1.25rem; height: 1.25rem; }
.s-6 { width: 1.5rem; height: 1.5rem; }
.s-8 { width: 2rem; height: 2rem; }
.s-10 { width: 2.5rem; height: 2.5rem; }
.s-12 { width: 3rem; height: 3rem; }

.z-35 { z-index: 35; }

.-moz-scroll-thin { scrollbar-width: thin; }

.scroll-snap-x { scroll-snap-type: x mandatory; }
.scroll-snap-start { scroll-snap-align: start; }
.scroll-snap-stop { scroll-snap-stop: always; }

.grid { display: grid; }
